DefaultServiceUnavailableRetryStrategy (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class DefaultServiceUnavailableRetryStrategy

    java.lang.Object
      org.apache.http.impl.client.DefaultServiceUnavailableRetryStrategy

All Implemented Interfaces:
  ServiceUnavailableRetryStrategy

    @Contract(threading=IMMUTABLE)
    public class DefaultServiceUnavailableRetryStrategy

extends Object
implements ServiceUnavailableRetryStrategy

Default implementation of the `ServiceUnavailableRetryStrategy` interface. that retries `503` (Service Unavailable) responses for a fixed number of times at a fixed interval.

Since:
  4.2

Constructor Summary
`DefaultServiceUnavailableRetryStrategy()`
`DefaultServiceUnavailableRetryStrategy(int maxRetries, int retryInterval)`

Method Summary
`long` | `getRetryInterval()`
`boolean` | `retryRequest(org.apache.http.HttpResponse response, int executionCount, org.apache.http.protocol.HttpContext context)` Determines if a method should be retried given the response from the target server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServiceUnavailableRetryStrategy

    public DefaultServiceUnavailableRetryStrategy(int maxRetries,
                                                  int retryInterval)

### DefaultServiceUnavailableRetryStrategy

    public DefaultServiceUnavailableRetryStrategy()

Method Detail

### retryRequest

    public boolean retryRequest(org.apache.http.HttpResponse response,
                                int executionCount,
                                org.apache.http.protocol.HttpContext context)

  Description copied from interface: `ServiceUnavailableRetryStrategy`
  Determines if a method should be retried given the response from the target server.

  Specified by:
    `retryRequest` in interface `ServiceUnavailableRetryStrategy`
  Parameters:
    `response` - the response from the target server
    `executionCount` - the number of times this method has been unsuccessfully executed
    `context` - the context for the request execution
  Returns:
    `true` if the method should be retried, `false` otherwise

### getRetryInterval

    public long getRetryInterval()

  Specified by:
    `getRetryInterval` in interface `ServiceUnavailableRetryStrategy`
  Returns:
    The interval between the subsequent auto-retries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.